JUCE: GIFImageFormat Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
GIFImageFormat Class Reference
juce_graphics » images

A subclass of ImageFileFormat for reading GIF files. More...

`#include <juce_ImageFileFormat.h>`

Inheritance diagram for GIFImageFormat:

## Public Member Functions
| GIFImageFormat ()
| ~GIFImageFormat () override
String | getFormatName () override
| Returns a description of this file format.
bool | usesFileExtension (const File &) override
| Returns true if this format uses the file extension of the given file.
bool | canUnderstand (InputStream &) override
| Returns true if the given stream seems to contain data that this format understands.
Image | decodeImage (InputStream &) override
| Tries to decode and return an image from the given stream.
bool | writeImageToStream (const Image &, OutputStream &) override
| Attempts to write an image to a stream.
Public Member Functions inherited from ImageFileFormat
virtual | ~ImageFileFormat ()=default
| Destructor.

## Additional Inherited Members
Static Public Member Functions inherited from ImageFileFormat
static ImageFileFormat * | findImageFormatForStream (InputStream &input)
| Tries the built-in formats to see if it can find one to read this stream.
static ImageFileFormat * | findImageFormatForFileExtension (const File &file)
| Looks for a format that can handle the given file extension.
static Image | loadFrom (InputStream &input)
| Tries to load an image from a stream.
static Image | loadFrom (const File &file)
| Tries to load an image from a file.
static Image | loadFrom (const void *rawData, size_t numBytesOfData)
| Tries to load an image from a block of raw image data.
Protected Member Functions inherited from ImageFileFormat
| ImageFileFormat ()=default
| Creates an ImageFormat.

## Detailed Description

A subclass of ImageFileFormat for reading GIF files.

See also
  ImageFileFormat, PNGImageFormat, JPEGImageFormat

## Constructor & Destructor Documentation

## ◆ GIFImageFormat()

GIFImageFormat::GIFImageFormat | ( |  | ) |

## ◆ ~GIFImageFormat()

GIFImageFormat::~GIFImageFormat | ( |  | ) |
| override

## Member Function Documentation

## ◆ getFormatName()

String GIFImageFormat::getFormatName | ( |  | ) |
| overridevirtual

Returns a description of this file format.

E.g. "JPEG", "PNG"

Implements ImageFileFormat.

## ◆ usesFileExtension()

bool GIFImageFormat::usesFileExtension | ( | const File & | possibleFile | ) |
| overridevirtual

Returns true if this format uses the file extension of the given file.

Implements ImageFileFormat.

## ◆ canUnderstand()

bool GIFImageFormat::canUnderstand | ( | InputStream & | input | ) |
| overridevirtual

Returns true if the given stream seems to contain data that this format understands.

The format class should only read the first few bytes of the stream and sniff for header bytes that it understands.

Note that this will advance the stream and leave it in a new position, so if you're planning on re-using it, you may want to rewind it after calling this method.

See also
  decodeImage

Implements ImageFileFormat.

## ◆ decodeImage()

Image GIFImageFormat::decodeImage | ( | InputStream & | input | ) |
| overridevirtual

Tries to decode and return an image from the given stream.

This will be called for an image format after calling its canUnderStand() method to see if it can handle the stream.

Parameters

  input | the stream to read the data from. The stream will be positioned at the start of the image data (but this may not necessarily be position 0)

Returns
  the image that was decoded, or an invalid image if it fails.

See also
  loadFrom

Implements ImageFileFormat.

## ◆ writeImageToStream()

bool GIFImageFormat::writeImageToStream | ( | const Image & | sourceImage,
|  | OutputStream & | destStream )
| overridevirtual

Attempts to write an image to a stream.

To specify extra information like encoding quality, there will be appropriate parameters in the subclasses of the specific file types.

Returns
  true if it nothing went wrong.

Implements ImageFileFormat.

The documentation for this class was generated from the following file:

- juce_ImageFileFormat.h